Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.9.0

Bug #14187 cli -r switch does not work in 1.8.0.b4
Submitted: 2008-06-19 09:02 UTC
From: attachmentgenie Assigned: farell
Status: Closed Package: PHP_CompatInfo (version 1.8.0b4)
PHP Version: 5.2.5 OS: os x 10.5.2
Roadmaps: 1.8.0RC1    
Subscription  
Comments Add Comment Add patch


Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know! Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem : 37 + 6 = ?

 
 [2008-06-19 09:02 UTC] attachmentgenie (Bram Vogelaar)
Description: ------------ i tried to use the render switch to make pci show its results in a different form but wasnt able to so far Test script: --------------- pci -r xml -f index.php pci -r Xml -f index.php pci -r csv -f index.php pci -r Csv -f index.ph Expected result: ---------------- xml or Csv formated output Actual result: -------------- +-----------------------------+---------+---+------------+----------------- ---+ | File | Version | C | Extensions | Constants/Tokens | +-----------------------------+---------+---+------------+----------------- ---+ | index.php | 5.0.0 | 0 | ...xml | | +-----------------------------+---------+---+------------+----------------- ---+

Comments

 [2008-06-20 17:34 UTC] farell (Laurent Laville)
Fixed in PEAR CVS with just the Cli.php file revision 1.65 I am a bit ashamed of not having fixed it before :-) All renderers could be used. BTW html renderer usage is nonsense in CLI. CAUTION: A BC break if we can consider as it before we should specify -r or -r cli to get the default Text CLI render. Now with new Renderer system: it's -r or -r text
 [2008-06-20 18:02 UTC] farell (Laurent Laville)
A little correction : it's revision 1.66 of Cli.php that you should get to really fix this bug.
 [2008-07-10 10:51 UTC] attachmentgenie (Bram Vogelaar)
i am still having the following problem in 1.8.0RC1 Fatal error: Cannot use object of type Console_Getargs_Options as array in /Applications/xampp/xamppfiles/lib/php/pear/PHP/CompatInfo/Cli.php on line 493 i dont agree with your assessment about the html output. My plan is to incorporate pci into my documentation flow in the following way pci -r xml -f index.php > Documentation/PHP_Requirements.html But perhaps i should open a feature request for a export/ouput function. This way it would also be possible to use PHP_Compatinfo in a phpundercontrol setup
 [2008-07-10 17:35 UTC] farell (Laurent Laville)
You've right, the bug was not really fixed with 1.8.0RC1. The right revision that fully fix this bug is 1.69 and release 1.8.0RC1 include revision 1.68 of CompatInfo/Cli.php You can get the latest file from PEAR CVS or wait the next release 1.8.0RC2 planned for July 18.